@import "assets/stylesheets/colors";
@import "assets/stylesheets/typography";

.error-modal-deposit-container {
  border-radius: 4px;
  background-color: $secondary-dark;
  width: 363px;
  height: 388px;
  text-align: center;
  padding: 24px !important;
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);

  .error-checked-icon {
    align-self: center;
    margin: auto;
    margin-top: 40px;
    width: 156px;
    height: 156px;
    object-fit: contain;
  }

  .title-error-modal-deposit {
    text-align: left;
  }

  .sub-title-error-modal-deposit {
    color: $secondary-text;
    text-align: left;
    margin-bottom: 16px;
  }

  .description-error-modal-deposit {
    overflow-x: auto;
    text-align: left;
    padding: 16px 24px 16px 16px;
    margin-bottom: 16px;
    background-color: $primary-dark;
    height: 124px;
    width: 315px;

    .description-setings {
      display: flex;

      >div:first-child {
        white-space: nowrap;
        margin-right: 10px;
      }
    }
  }

  .footer-wrapper-error-modal-deposit {
    height: 42px;
    width: 80px;
  }

  .margin-bottom {
    margin-block-end: 10px;
  }

  .amount-settings {
    display: flex;

    >div:first-child {
      white-space: nowrap;
      margin-right: 10px;
    }

    >div:last-child {
      margin-left: 10px;
    }
  }

  .buttton-container {
    margin-top: 32px;
    display: flex;
    justify-content: flex-end;

    >div:last-child {
      margin-left: 8px;
    }
  }
}